package routers

import (
	"spaceofcheng/services/controllers"
	"spaceofcheng/services/controllers/goods"

	"github.com/astaxie/beego"
)

func getCommonRoutes() beego.LinkNamespace {
	prefix := beego.AppConfig.String("api::common")

	return beego.NSNamespace(prefix,
		beego.NSRouter("/goodstype", &goods.GoodsController{}, "get:GetGoodsType"),
		beego.NSRouter("/goodstype/:typeid", &goods.GoodsController{}, "get:GetGoodsTypeByID"),
		beego.NSRouter("/goodstype", &goods.GoodsController{}, "post:SaveGoodsType"),
		beego.NSRouter("/goodstype", &goods.GoodsController{}, "put:SaveGoodsType"),
		beego.NSRouter("/goodstype/:typeid", &goods.GoodsController{}, "delete:DelGoodsType"),

		beego.NSRouter("/goodspec", &goods.GoodsController{}, "get:GetGoodsSpec"),
		beego.NSRouter("/goodspec/:specid", &goods.GoodsController{}, "get:GetGoodsSpecByID"),
		beego.NSRouter("/goodspec", &goods.GoodsController{}, "post:SaveGoodsSpec"),
		beego.NSRouter("/goodspec", &goods.GoodsController{}, "put:SaveGoodsSpec"),
		beego.NSRouter("/goodspec/:specid", &goods.GoodsController{}, "delete:DelGoodsSpec"),

		beego.NSRouter("/file", &controllers.BaseController{}, "post:FileUpload"),
	)
}
